Subject: bug#63286: 30.0.50; CC Mode: New `c-for-clauses-as-arglist' style variable

From: Olivier Certner <[email-masked]>
Date: Sat, 06 May 2023 23:49:52 +0200

Hello Eli,

> I don't think I understand the feature you are proposing.  Can you
> elaborate, perhaps with examples?

Sure.  Please see my reply to Alan.

> This uses @ref incorrectly.  The original text also uses it
> incorrectly.  Alan, please fix that when you have time: those should
> be @xref, not @ref.  The latter is not appropriate at the beginning of
> a sentence.
> 
> "for" should be quoted here, to make this sentence more clear.
>
> Defcustoms should have the :version tag.

Indeed.  I'm taking note.  But all these are minutiae that are less pressing 
than more high-level issues that might change the submission significantly, so 
I'll wait for the appropriate moment to actually do the changes if there are 
still applicable then.

> I don't understand what "argument lists" have to do with 'for'.  Or
> maybe I don't understand what you mean by "for clauses".

Then you should definitely read my answer to Alan.
 
> Finally, would it be possible to have tests for this feature?

Of course.  But again, this is not the most pressing issue right now.

Regards.

-- 
Olivier Certner